- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/rpmchecksig.c File Reference

Verify the signature of a package. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "rpmlead.h"`
`#include "signature.h"`
`#include "misc.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
static int | manageFile (FD_t *fdp, const char **fnp, int flags, int rc)
static int | copyFile (FD_t *sfdp, const char **sfnp, FD_t *tfdp, const char **tfnp)
int | rpmReSign (rpmResignFlags flags, char *passPhrase, const char **argv)
| Create/modify elements in signature header.
int | rpmCheckSig (rpmCheckSigFlags flags, const char **argv)
| Check elements in signature header.

## Detailed Description

Verify the signature of a package.

Definition in file rpmchecksig.c.

## Function Documentation

static int copyFile | ( | FD_t * | sfdp,
|  | const char ** | sfnp,
|  | FD_t * | tfdp,
|  | const char ** | tfnp |
| ) |  |  | `[static]`

Definition at line 72 of file rpmchecksig.c.

References _, Fread(), Fstrerror(), Fwrite(), manageFile(), RPMERR_FREAD, RPMERR_FWRITE, and rpmError.

Referenced by rpmCheckSig(), and rpmReSign().

static int manageFile | ( | FD_t * | fdp,
|  | const char ** | fnp,
|  | int | flags,
|  | int | rc |
| ) |  |  | `[static]`

Definition at line 18 of file rpmchecksig.c.

References _, Fclose(), fdFree, fdLink, Ferror(), Fopen(), Fstrerror(), makeTempFile(), RPMERR_MAKETEMP, RPMERR_OPEN, and rpmError.

Referenced by copyFile(), rpmCheckSig(), and rpmReSign().